Get User Profile
curl --request POST \
--url https://public.plai.io/auth/get_profile \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://public.plai.io/auth/get_profile"
payload = { "email": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://public.plai.io/auth/get_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"user": {
"userId": "<string>",
"email": "<string>",
"name": "<string>",
"createdAt": {
"_seconds": 123,
"_nanoseconds": 123
}
},
"error": "<string>"
}
}Authentication
Get User Profile
This endpoint retrieves the current user’s profile using their email address.
POST
/
auth
/
get_profile
Get User Profile
Request Body
string
required
Customers Email Address
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Results
Show Results
boolean
Indicates whether the specific operation or API action was successful.
object
string
Error message if something went wrong